/*
 * destream.h
 *
 *  Created on: 23-04-2019
 *      Author: Krzysztof Jakubczyk
 */

#ifndef DESTREAM_H_
#define DESTREAM_H_

#include "tdefs.h"
#include "analog_in.h"
#include "mkstream.h"
#include "helper.h"

struct destream_logic
{
	float *A[3];
	float *snum;

	struct stream_frame *stream;
	struct binary_io b[16];
};

struct destream_io
{
	u32 stream_ptr_in;

	u32 A1L1_float_out;
	u32 A1L2_float_out;
	u32 A1L3_float_out;
	u32 snum_float_out;
	u32 b_out[16];
}__attribute__((__packed__));


struct destream_params
{

}__attribute__((__packed__));

struct destream_args
{
	struct destream_io io;
	struct destream_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void destream(void *args, void *logic);
extern int destream_initlog(void *arguments, void *logic);

#endif
